ChangeSet 1.1587.12.43, 2004/04/30 14:16:40-07:00, eike-hotplug@sf-tec.de

[PATCH] [BUGFIX] shpchp_pci.c: fix missing braces after if

Add missing braces around if statement, if not we will try to add devices
for an empty slot.


 drivers/pci/hotplug/shpchp_pci.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)


diff -Nru a/drivers/pci/hotplug/shpchp_pci.c b/drivers/pci/hotplug/shpchp_pci.c
--- a/drivers/pci/hotplug/shpchp_pci.c	Mon May 17 17:01:30 2004
+++ b/drivers/pci/hotplug/shpchp_pci.c	Mon May 17 17:01:30 2004
@@ -53,10 +53,11 @@
 	/* Still NULL ? Well then scan for it ! */
 	if (func->pci_dev == NULL) {
 		num = pci_scan_slot(ctrl->pci_dev->subordinate, PCI_DEVFN(func->device, func->function));
-		if (num)
+		if (num) {
 			dbg("%s: subordiante %p number %x\n", __FUNCTION__, ctrl->pci_dev->subordinate,
 				ctrl->pci_dev->subordinate->number);
-			pci_bus_add_devices(ctrl->pci_dev->subordinate);		
+			pci_bus_add_devices(ctrl->pci_dev->subordinate);
+		}
 		
 		func->pci_dev = pci_find_slot(func->bus, PCI_DEVFN(func->device, func->function));
 		if (func->pci_dev == NULL) {
